%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Summary:	An archive plugin for the Thunar File Manager
Name:		thunar-archive-plugin
Version:	0.4.0
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/thunar-plugins/thunar-archive-plugin
Source0:	http://archive.xfce.org/src/thunar-plugins/thunar-archive-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
Source1:	engrampa.tap
# See upstream bugzilla:
# https://bugzilla.xfce.org/show_bug.cgi?id=9444
Patch2:		thunar-archive-plugin-0.3.0-fix-extract-here-with-file-roller.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(thunarx-3)
Requires:	thunar >= 1.7.0

%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar using
a single click.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# add support for engrampa (mate version of file-roller)
install -Dpm755 %{_sourcedir}/engrampa.tap %{buildroot}%{_libexecdir}/%{name}/engrampa.tap

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS
%{_libdir}/thunarx-3/*
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/ark.tap
%{_libexecdir}/%{name}/engrampa.tap
%{_libexecdir}/%{name}/file-roller.tap
%{_libexecdir}/%{name}/gnome-file-roller.tap
%{_libexecdir}/%{name}/org.gnome.FileRoller.tap
%{_iconsdir}/hicolor/*/apps/*
